# CRP Gateway
## RELEASE NOTES 
> v1.7.0

### Upgrade Steps
* Refer to CRP Gateway Patching Guide v1.0 or above

### New Features
* Add search filter "Action Type" in **Data Submission History**
* Allowed partial search with "Submitted File Name (Internal)"

### Bug Fixes
* Pagination will reset when searching filters apply or reset
* Fix incorrect results when filtering with "Submitted File Name (Internal)"
* Fix *unable to delete user* bug if user changed password before
* Fix Credit Report not downloading to Share Folder bug

### Improvements
* Display *ICL Upload Response* for **Data Submission**, i.e. Success, Incorrect File Format, etc.
* Display *File Format* for uploaded file in **Data Submission**
* Update the following labels to avoid confusion:
  1. "File Name" &rarr; "File Name (External)" and,
  2. "Submitted File Name" &rarr; "Submitted File Name (Internal)"
* Display Duplicated File Name Error during **Initial Data Load**
* Remove the unused *File Format* in **Initial Data Load**
* Enable options on showing the input on **Password** Fields

### Other Changes

